%reorder basis function, from phi(i)(i=1,...(2*N+1)*(2*N+1)-1) to 
%phi(list(i,1),list(i,2))=cos(i1*alpha*x+i2*y)(i1,i2=-N,...N,(i1,i2) neq (0,0)), 
% get a two dimension matrix list(i,j)(j=1,2),  
%list(i,1) denote the first index and list(i,2) denote the second index
list=zeros((2*N+2)*N,2);
for i=1:N
    list(i,1)=0;
    list(i,2)=i;
end
for i=N+1:(2*N+2)*N
    list(i,1)=floor((i+N)/(2*N+1));
    list(i,2)=i-floor((i+N)/(2*N+1))*(2*N+1);
end
